/* 
   OpenMP "sections" clause example

   Jim Teresco, CS 338, Williams College
   Mon Feb 24 22:30:57 EST 2003

   $Id: openmp_sections.c,v 1.1 2003/02/25 05:37:24 terescoj Exp $
*/

#include <stdio.h>
#include <omp.h>

int main(int argc, char *argv[]) {

  int threadid;

#pragma omp parallel sections private(threadid)
  {
#pragma omp section
    {
    threadid = omp_get_thread_num();
    printf("In this section, threadid=%d\n", threadid);
    }
#pragma omp section
    {
    threadid = omp_get_thread_num();
    printf("But in this section, threadid=%d\n", threadid);
    }
#pragma omp section
    {
    threadid = omp_get_thread_num();
    printf("And in this section, threadid=%d\n", threadid);
    }
#pragma omp section
    {
    threadid = omp_get_thread_num();
    printf("Over here in this section, threadid=%d\n", threadid);
    }
#pragma omp section
    {
    threadid = omp_get_thread_num();
    printf("Yet another section, with threadid=%d\n", threadid);
    }
#pragma omp section
    {
    threadid = omp_get_thread_num();
    printf("Our last section, threadid=%d\n", threadid);
    }
  }
  return 0;
}
